REGISTER_SECURITY(9)

NAME
register_security - registers a security framework with the kernel

SYNOPSIS

int register_security(struct security_operations * ops);

ARGUMENTS

ops
    a pointer to the struct security_options that is to be registered

DESCRIPTION

This function allows a security module to register itself with the kernel security subsystem. Some rudimentary checking is done on the ops value passed to this function. You'll need to check first if your LSM is allowed to register its ops by calling security_module_enable(ops).

If there is already a security module registered with the kernel, an error will be returned. Otherwise 0 is returned on success.

COPYRIGHT